Extending Qt Creator Manual | GccParser

Extending Qt Creator Manual 4.5.2

# GccParser Class

(ProjectExplorer::GccParser)

Inherits: | ProjectExplorer::IOutputParser

- List of all members, including inherited members

## Public Functions

| GccParser()

## Reimplemented Public Functions

virtual void | stdError(const QString &line) override
virtual void | stdOutput(const QString &line) override

- 9 public functions inherited from ProjectExplorer::IOutputParser

## Static Public Members

Core::Id | id()

- 1 static public member inherited from ProjectExplorer::IOutputParser

## Protected Functions

void | amendDescription(const QString &desc, bool monospaced)
void | newTask(const Task &task)

## Reimplemented Protected Functions

virtual void | doFlush() override

### Additional Inherited Members

- 2 public slots inherited from ProjectExplorer::IOutputParser
- 2 signals inherited from ProjectExplorer::IOutputParser

## Member Function Documentation

### GccParser::GccParser()

Default constructs an instance of GccParser.

### `[protected]` void GccParser::amendDescription(const QString &desc, bool monospaced)

### `[override virtual protected]` void GccParser::doFlush()

### `[static]` Core::Id GccParser::id()

### `[protected]` void GccParser::newTask(const Task &task)

### `[override virtual]` void GccParser::stdError(const QString &line)

### `[override virtual]` void GccParser::stdOutput(const QString &line)